Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements
Webcast-Catalyst9k
New Member

2950-24 IOS to upgrade or not

Greetings all,

I have 2 Catalyst 2950-24 switches with 12.1(11)EA1 IOS on them. Aside from extra bells and whistles (like multicast load balancing), are there any compelling reasons to upgrade the software? Any compelling reasons not to?

Thanks, Dave

3 REPLIES
Purple

Re: 2950-24 IOS to upgrade or not

Basically it is to fix any existing bugs and probably the biggest reason would be to plug any existing security holes in the IOS which there have been a number of them since 12.1.11 came out .

New Member

Re: 2950-24 IOS to upgrade or not

Thanks, thats what I thought. It was just that prior experience has taught me that newer doesn't always mean better or more stable, and I wanted the opinion of those with realworld experience on these switches. I've tried browsing the Cisco site to determine the IOS I should get. Am I right that 12.1(22)EA4 is the most current?

Purple

Re: 2950-24 IOS to upgrade or not

12.1.22-EA6 is the latest version .

104
Views
0
Helpful
3
Replies
CreatePlease to create content